import Camera, { ControlName, ControlRange, ControlValue, ControlValues } from "uvc-control";
import CameraControlHelper from "./camera-control-helper";
import Output from "./output";
export declare type ControlsValues = Record<string, ControlValues>;
export declare type ControlRanges = Record<string, ControlRange>;
export default class CameraHelper {
    private readonly output;
    private readonly cameraControlHelper;
    private readonly camera;
    constructor(output: Readonly<Output>, cameraControlHelper: Readonly<CameraControlHelper>, camera: Readonly<Camera>);
    getValues(controlName: ControlName): Promise<Readonly<ControlValues>>;
    getRange(controlName: ControlName): Promise<Readonly<ControlRange>>;
    setValues(controlName: ControlName, ...values: readonly ControlValue[]): Promise<void>;
    getControlNames(): Promise<readonly ControlName[]>;
    getRanges(): Promise<Readonly<ControlRanges>>;
    getSettableControls(): Promise<Readonly<ControlsValues>>;
    setControls(configuration: Readonly<ControlValues>): Promise<void>;
}
